# Music Archive

The music archive hold all my digitalised music, as well as own records.

# Overview

The archive consists of a single Git repository, where the music is managed using [Git-Annex](https://git-annex.branchable.com/). The local repository is synchronized to a remote repository on my server. The setup allows for having multiple other clients, who have their own local repo and synchronize it via the remote.

## Initial Setup

See [Notes to my image archive](./image.md)

## iPod Setup

- Clone archive repo: `git clone <ARCHIVE_PATH> --bare`
- From within the repo, initialize git-annex repo: `git-annex init <CLIEN_NAME>`
- Add to `client` and `ipod` groups:
  - `git annex group . client`
  - `git annex group . ipod`
- TODO: wanted and required settings
  - Make repo want XXX:
    - `git annex want . "include=*"`
    - `git annex required . "include=*"`
- Specify repo as untrusted: `git annex untrust here --force`
  - This makes sense as iPods have turned out to be very unreliable and can easily corrupt
