# AUR

## Create Package
- Create `PKGBUILD`
    - For git-packages something like `printf 'r%s.%s' "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"` works for the pkg version
- Run `makepkg` to build package
- Install package using `pacman -U <package.pkg.tar.zst>`
- If either steps fails or package does not work as expected repeat from 1

## Submit to AU
- Clone `git clone ssh://aur@aur.archlinux.org/<packageName>.git`
- Create `.SRCINFO` using `makepkg --printsrcinfo > .SRCINFO`
- Add, commit and push to master

## General
- Find packages no longer available: `comm -23 <(pacman -Qqm | sort) <(curl https://aur.archlinux.org/packages.gz | gzip -cd | sort)`

## Deletion
- Request package deletion via mailing list
