# Find

- Include pipe in exec:
    `-exec sh -c "zcat {} | agrep -dEOE 'grep' " \;`
    `find -name 'file_*' -follow -type f -exec zcat {} \; | agrep -dEOE 'grep'`

- Convert markdown files in subdirectory to pdf:
`find . -regextype sed -regex ".*/[0-9]*-sol.md" -exec sh -c 'cd $(dirname $0) && pandoc -V geometry:margin=1in --pdf-engine=xelatex --variable mainfont="DejaVu Serif" -o $(basename $0).pdf $(basename $0)' {} \;`

