# Inkscape

## Save as only selection
- Select desired object
- Make paper fit selection: `Ctrl + Shift + R`
- Invert selection using `!`
- Delete others using `del`
- Save as: `Ctrl + Shift + S`

## Include in Tex with Text by Tex
- Save as
- Select pdf
- Set *Text Output Options* to *Omit text in PDF and crate LaTeX file*
- Import into LaTeX using:
```
\usepackage{import}
\usepackage{xifthen}
\usepackage{pdfpages}
\usepackage{transparent}

\newcommand{\incfig}[2][1]{%
    \def\svgwidth{#1\columnwidth}
    \import{./figures/}{#2.pdf_tex}
}

\begin{figure}[ht]
    \centering
    \incfig{riemmans-theorem}
    \caption{Riemmans theorem}
    \label{fig:riemmans-theorem}
\end{figure}
```
