# Photography

## Exiftool
- show available previews: `exiftool -preview:all <myImage>`
- Extract embedded jpg: `exiftool -b -<PREVIEW_TYPE> -w out.jpg <myImage>`

## Add IPTC
- `exiv2 -M "add Iptc.Application2.Contact mail@jeanclaudegraf.ch" -M "add Iptc.Application2.Copyright Jean-Claude Graf" <img>`

## Make larger edge equals certain size: `convert <inImage> -resize 64x64\>  <outImage>`

- Rename according to datetime `exiv2 -r'%Y_%m_%d__%H_%M_%S' -F <IMAGE_PATHS>`
- Rename according to datetime including file structure: `exiftool -r '-FileName<DateTimeOriginal' -d %Y/%m/%d/%%f%%-c.%%e <IMAGE_PATHS>`
