# Audio

## File Information
- Basic info: `file <fileName>`
- More info: `ffprobe -hide_banner <fileName>`
- Even more info: `ffprobe -show_streams <fileName>`
- Clean info: `soxi <fileName>`

## Conversion
- flac to wav:
    - Using flac `flac --decode [<file.flac>]`
    - Using sox `sox <file.flac> <file.wav>`

## Burn CD
1. Prepare file: `sox <file.flac> -c 2 -r 44100 -b 16 <file.wav>`
    - If clip warning, decrease volume by adding `-v 0.99` before the input file
        - Decrease till warning is gone
2. Check if burn would succeed `cdrecord -dummy -v dev=/dev/sr0 -dao -useinfo -pad [file.wav]`
    - Make sure the files are ordered correctly
    - Remove `-dummy` for actual burn
