# Audio CD Ripping

## Rip from CD
- Create wav file of CD: `cdparanoia --never-skip --batch --output-wav -- 1-`
    - `1-` means all tracks
- Convert wav to flac: `flac --verify -8 --delete-input-file *.wav`

## Tags to use:
### Required
- Title
- Artist
- Album
- Album Artist
- Track Number
- Media
    - CD
    - Recording
- Cover Art

### Good to have
- Composer
- Date
    - At least year
- Barcode

## Musicbrainz

### Add Second CD
- Open the release in musicbrainz
- Click "Edit" -> "Tracklist"
- Click "Add Medium" -> "Add Medium"
    - Do not enter anything in the Form
- Add the correct number of tracks
- Insert the Title and Artist
    - The Track Time will be added automatically later on
- Click "Finish"
- Open picard while the CD in in the drive
- Click "Lookup CD" -> "Submit XXX"
- Search for the right release
- Select it and press "Select"
    - No not simply press on it
- Click "Add TOC from CD"

### Style Guide

#### Classic
- Release (/Album) Artist
    - List first and last name of composer(s), performer(s) and conductor, but only of the ones listed on the front cover
        - Format: `composer1, composer2; performaner 1, performer2, conductor`
- Track Artist
    - Name of composer of that track

- See [here](https://musicbrainz.org/doc/Style)
