# iPod

## Usage

- Mount using correct permissions: `mount -o uid=1000,gid=1000 /dev/<IPOD_PARTITION> <MNT_PT>`

## Install Rockbox

- 1. Restore iPod
  - Open iTunes in Windows
    - Needs to be Windows (no Mac or anything else) as the disk needs to be formatted using FAT32
  - Restore iPod
- 2. Install Rockbox using the Rockbox utility
  - Can possibly be done from Linux

## Troubleshooting

### Please wait. Very low battery

#### Cause 1: Battery is indeed really empty

- Solution: Charge in disk mode

#### Cause 2: Connection between iFlash and Mainboard is bad

- Solution: Clean connectors and ensure they sit properly

## Modes

### Disk Mode

#### Enter

- Press and hold the Menu and Center buttons
- When you see the Apple logo, release both buttons
- Press and hold the Center and Play/Pause buttons
  - Ensure no other buttons are pressed or even touched
- When you see the disk mode screen, release both buttons
- Connect iPod to computer. The iPod screen should display _"Do not disconnect"_
- Eject iPod from iTunes before disconnecting it from the computer

#### Exit

- Press and hold the Center and Menu buttons
- When you see the Apple logo, release both buttons
