# Mail

- Send testmail using msmtp: `echo "Hello this is sending email using msmtp" | msmtp --debug -a <sourceMail> <destinationMail>`
- TLS Error: `msmtp: TLS certificate verification failed: The certificate is NOT trusted. The certificate issuer is unknown.`
    - Run `msmtp --debug -a mail@jeanclaudegraf.ch --serverinfo --tls --tls-certcheck=off`
    - Find SHA256 Fingerprint
    - Add/update `tls_fingerprint`
- Parser Error `failed to create new parser: message: malformed MIME header line:`
    - Probably only an issue with the commandline, due to wrong formatting. Using mutt should work fine

## Protonmail
- Service: `systemctl status --user bridge.service`
- Cannot run concurrently to `protonmail-bridge --cli`
- Start manually: `/usr/bin/protonmail-bridge --no-window --noninteractive`

## Local Setup

### General
- Local mailboxes are stored in `~/.local/share/mail`

### Add new mail
- Add new mail to all configs
    - mbsync
    - msmtp
    - mutt
- Create mailbox folder `~/.local/share/mail/<NEW_MAIL>`
- Create mailboxes: `mbsync -c ~/.config/isync/mbsyncrc <NEW_MAIL>`
- Create missing folder: `mkdir ~/.local/share/mail/<NEW_MAIL>/cur`

## Neomutt
- Tag single message: `t`
- Tag thread: `<ESC>t`
- Apply function to all tagged messaged: `;t`
- Move to folder: `s`
