# PineNote

## Enter Load Mode
- Connect using USB cable
- Monitor USB devices: `watch -n 1 lsusb`
- Place device upside down
- Put pen on device as marked
- Power on device
- Monitor `lsusb` for `Fuzhou Rockchip Electronics Company USB download gadget`
- My require pressing power multiple times
- If successful, `rkdeveloptool list` should output `DevNo=1 Vid=0x2207,Pid=0x350a,LocationID=103 Loader`

## Enter UART
- Connect using USB cable via UART
- Enter `picocom /dev/ttyUSB0 -b 1500000 -l`
- Reboot from Android
- Hold `CTRL+c`  in picom terminal until `=> <INTERRUPT>` appears

## Enter Fastboot
- Enter UART
- Enter `fastboot usb 0`
- Disconnect the UART adapter and connect the device directly

## Boot to Linux
- Enter UART
- Enter `sysboot ${devtype} ${devnum}:11 any ${scriptaddr} /boot/extlinux.conf`

## Linux
- Available Users:
    - `root:root`
    - `alarm:alarm`

## TODO
`/etc/systemd/logind.conf.d/*.conf` seems to be ignored, using `/etc/systemd/logind.conf` instead
