# RawTherapee

- The packaged version is not compiled with multithreading enabled.
    - Better compile it form source

## Compile from Source
- Clone repository <https://github.com/Beep6581/RawTherapee>
- `mkdir build && cd build`
- `cmake -DCMAKE_BUILD_TYPE="release" -DCACHE_NAME_SUFFIX="5-dev" -DPROC_TARGET_NUMBER="6" -DBUILD_BUNDLE="ON" -DBUNDLE_BASE_INSTALL_DIR="$HOME/Documents/Programs/RawTherapee" -DOPTION_OMP="ON" -DWITH_LTO="ON" -DWITH_PROF="OFF" -DWITH_SAN="OFF" -DWITH_SYSTEM_KLT="OFF" -DWITH_BENCHMARK="OFF" -DENABLE_TCMALLOC="OFF" ..`
    - Optimized for i7, otherwise use `-DPROC_TARGET_NUMBER="2"` for non-i7 CPUs
    - Installs it to a local directory
- `make -j 7`
- `make install`

### Update
- Repeat all step starting with the `cmake`
